#!/usr/bin/perl
use strict;
use warnings;
use Tie::File;
my @array;
my $mod;

if (@ARGV == 0)
{
	print "Usage: perl $0 apache2_config_file [PARAM KEY] [VALUE]\n".
	"    set parameters in apache2_config_file\n";
	exit 1;
}

use Fcntl 'O_RDWR';
tie @array, 'Tie::File', $ARGV[0], mode => O_RDWR or die "\"$ARGV[0]\" file not found";

	my $param_key = $ARGV[1];
	my $param_value = $ARGV[2];
	
	for (@array)
	{
		if (/^(\s*$param_key)(\s*=\s*)("[^"]*")(\s*.*)/i)
		{
			my $tag = $1;
			my $eq = $2;
			my $mods = $3;
			my $comments = $4;
			if ($mods =~ /["|\s]$param_value["|\s]/i)
			{
			}
			else
			{
				$mods =~ s/"$/ $param_value"/;
				s/^.*$/$tag$eq$mods$comments/;
			}
		}
	}

